Subject: Re: bug#50146: 26.3; Doc of `MODE-' things created by `define-globalized-minor-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Aug 2021 18:59:33 +0300

> From: Drew Adams <[email-masked]>
> Date: Sat, 21 Aug 2021 15:46:38 +0000
> 
> A user can be puzzled by `C-h v' and `C-h f' completion showing the
> names of variables and functions that get created by macro
> `define-globalized-minor-mode'.  `C-h v' and `C-h f' are primary means
> of discovery.
> 
> If a user chooses such a name from completion she's not helped, but
> further pushed into puzzlement.  She'll see something like this:
> 
>   foo-mode-set-explicitly is a Lisp function in 'foobar.el'.
> 
>   (foo-mode-set-explicitly)
> 
> And clicking that file-name link won't help at all, but will add to the
> confusion.
> 
> Can we not fix this somehow?

Please provide a specific example or two.  I tried looking at
global-visual-line-mode, and didn't see anything like what you
describe.